Bug 28677 - Add the word "calendar" to the description for ExpireReservesOnHolidays
Summary: Add the word "calendar" to the description for ExpireReservesOnHolidays
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-07 15:33 UTC by Andrew Fuerste-Henry
Modified: 2021-07-30 15:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28677: Update wording on ExpireReservesOnHolidays (1.62 KB, patch)
2021-07-19 16:36 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28677: Update wording on ExpireReservesOnHolidays (1.67 KB, patch)
2021-07-20 10:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28677: Update wording on ExpireReservesOnHolidays (1.73 KB, patch)
2021-07-24 22:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28677: (QA follow-up) Correct capitalization (1.30 KB, patch)
2021-07-24 22:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-07-07 15:33:22 UTC
In a previous bug, we standardized wording of several calendar-related sysprefs so they'd be easy to find in a single search. We should have included ExcludeHolidaysFromMaxPickupDelay in that.
Comment 1 Andrew Fuerste-Henry 2021-07-08 14:40:03 UTC
Highlighting some of the issue around these, I filed this bug with the wrong syspref in the name. This is actually about ExpireReservesOnHolidays.

Right now it reads:
(Allow / Don't allow) expired holds to be canceled on days the library is closed.
Comment 2 Andrew Fuerste-Henry 2021-07-19 16:36:40 UTC
Created attachment 122956 [details] [review]
Bug 28677: Update wording on ExpireReservesOnHolidays

To test:
1: look at ExpireReservesOnHolidays syspref description
2: apply patch, restart
3: look at wording again, see that it now clarifies that it only pertains to systems using ExpireReservesMaxPickUpDelay and includes the word "calendar"
Comment 3 Owen Leonard 2021-07-20 10:44:43 UTC
Created attachment 122960 [details] [review]
Bug 28677: Update wording on ExpireReservesOnHolidays

To test:
1: look at ExpireReservesOnHolidays syspref description
2: apply patch, restart
3: look at wording again, see that it now clarifies that it only pertains to systems using ExpireReservesMaxPickUpDelay and includes the word "calendar"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2021-07-24 22:55:59 UTC
Created attachment 123161 [details] [review]
Bug 28677: Update wording on ExpireReservesOnHolidays

To test:
1: look at ExpireReservesOnHolidays syspref description
2: apply patch, restart
3: look at wording again, see that it now clarifies that it only pertains to systems using ExpireReservesMaxPickUpDelay and includes the word "calendar"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-07-24 22:56:04 UTC
Created attachment 123162 [details] [review]
Bug 28677: (QA follow-up) Correct capitalization

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-07-26 10:48:22 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-30 15:04:51 UTC
Enhancement not backported to 21.05